classification
Title: PEP 3121, 384 Refactoring applied to resource module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, shihai1991, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 20:07 by Robin.Schreiber, last changed 2020-06-22 09:27 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
resource_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 20:07
Messages (2)
msg168406 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 20:07
Changes proposed in PEP3121 and PEP384 have now been applied to the resource module!
msg372068 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-22 09:27
Fixed by:

commit 45f7008a66a30cdf749ec03e580bd2692be9a8df
Author: Hai Shi <shihai1992@gmail.com>
Date:   Thu Apr 2 20:35:08 2020 +0800

    bpo-1635741: Port resource extension module to multiphase initialization (PEP 489) (GH-19252)
    
    Fix also reference leaks on error.
History
Date User Action Args
2020-06-22 09:27:46vstinnersetstatus: open -> closed

versions: + Python 3.10, - Python 3.4
nosy: + shihai1991, vstinner

messages: + msg372068
resolution: fixed
stage: resolved
2012-11-08 13:45:28Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 20:07:55Robin.Schreibercreate